# handy way to generate this, from the top-level source dir: ls -d */ | sed -e 's,/,,g' -e 's,jpeg,imgjpeg,g' | tr '\n' ' '
%global	plugins	animation colorfilter expo ezoom grid imgjpeg kdecompat mag mousepoll neg opacify put resizeinfo ring scaleaddon session shift snap staticswitcher text thumbnail titleinfo vpswitch wall winrules workarounds
%global plugins_compiz %(echo %{plugins} | sed -e 's/\\</compiz-/g')

Name:		compiz-plugins-main
Version:	0.9.5.92
Release:	1%{?dist}
Summary:	Main set of plugins for Compiz

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.compiz.org
Source0:	http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
# libdrm is not available on these arches
ExcludeArch:	s390 s390x
BuildRequires:	cmake
BuildRequires:	compiz-devel >= %{version}
BuildRequires:	boost-devel
BuildRequires:	pango-devel
BuildRequires:	cairo-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libGLU-devel
BuildRequires:	GConf2
Requires:	compiz >= %{version}
Obsoletes:	compiz-fusion < 0.9
Provides:	compiz-fusion = %{version}-%{release}

%description
A set of the most important and widely used plugins for the Compiz
compositing manager.

%package	devel
Summary:	Development headers for %{name}
Group:		Development/Libraries
Requires:	compiz-devel >= %{version}
Requires:	%{name} = %{version}-%{release}

%description	devel
This package includes the header files and developer docs for plugins
from which other plugins can be developed. Install this package if you
want to develop plugins that are built off plugins in 
compiz-plugins-main.

%package	gconf
Summary:	GConf schemas for %{name}
Group:		User Interface/Desktops

Requires:		%{name} = %{version}-%{release}
Requires(pre):		GConf2
Requires(post):		GConf2
Requires(preun):	GConf2

Provides:	compiz-fusion-gnome = %{version}-%{release}
Obsoletes:	compiz-fusion-gnome < 0.9

%description	gconf
This package contains the GConf schemas for plugins in the %{name}
package. Only install it if you wish to use the deprecated GConf
configuration storage scheme for Compiz. Typically you should not
install this.

%prep
%setup -q

%build
mkdir build
pushd build
%cmake -DCOMPIZ_BUILD_WITH_RPATH=OFF -DCOMPIZ_PACKAGING_ENABLED=ON -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON -DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
popd

for f in %{plugins}; do
  echo %{_libdir}/compiz/lib$f.so
  echo %{_datadir}/compiz/$f.xml
done >> files.txt

for f in %{plugins}; do
  echo %{_sysconfdir}/gconf/schemas/compiz-$f.schemas
done >> gconf-files.txt

%clean
rm -rf %{buildroot}

%post gconf
%gconf_schema_upgrade %{plugins_compiz}

%pre gconf
%gconf_schema_prepare %{plugins_compiz}

%preun gconf
%gconf_schema_remove %{plugins_compiz}

%files -f files.txt
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_datadir}/compiz/colorfilter
%{_datadir}/compiz/mag

%files gconf -f gconf-files.txt
%defattr(-,root,root,-)

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Oct 18 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.92-1
- new release 0.9.5.92

* Fri Jul 15 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.5.0-1
- new release 0.9.5.0

* Wed May 11 2011 Karsten Hopp <karsten@redhat.com> 0.9.4-1.1
- build on ppc64, libdrm is available now

* Mon Mar 14 2011 Adam Williamson <awilliam@redhat.com> - 0.9.4-1
- new release 0.9.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Adel Gadllah <adel.gadllah@gmail.com> - 0.9.2.1-8
- Rebuild against new boost

* Sun Jan 23 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-7
- rebuild to get correct cflags

* Thu Jan 20 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-6
- fix devel package deps again (depend on main package as the DSOs
  are in it...)

* Wed Jan 19 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-5
- fix devel package deps

* Sun Jan 16 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-4
- BR GConf2 (or else the scriptlet macros don't get expanded)

* Sun Jan 16 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-3
- small cleanups

* Sun Jan 16 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-2
- split off the gconf schemas into a sub-package
- obsolete compiz-fusion and compiz-fusion-gnome

* Sat Jan 15 2011 Adam Williamson <awilliam@redhat.com> - 0.9.2.1-1
- initial package
